{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "passit": {
      "root": "",
      "sourceRoot": "src",
      "i18n": {
        "sourceLocale": "en-US",
        "locales": {
          "ca": {
            "translation": "src/locale/messages.ca.xlf"
          },
          "es": {
            "translation": "src/locale/messages.es.xlf"
          }
        }
      },
      "projectType": "application",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist",
            "index": "src/index.html",
            "main": "src/main.ts",
            "tsConfig": "src/tsconfig.app.json",
            "polyfills": "src/polyfills.ts",
            "assets": [
              "src/assets",
              "src/manifest.json",
              "src/favicon.ico",
              {
                "glob": "browser-polyfill.min.js",
                "input": "node_modules/webextension-polyfill/dist",
                "output": "/"
              },
              {
                "glob": "browser-polyfill.min.js.map",
                "input": "node_modules/webextension-polyfill/dist",
                "output": "/"
              },
              {
                "glob": "inject.js",
                "input": "src/app/extension/form-fill/dist",
                "output": "/"
              }
            ],
            "styles": ["src/styles.scss"],
            "scripts": [],
            "stylePreprocessorOptions": {
              "includePaths": ["src"]
            },
            "vendorChunk": true,
            "extractLicenses": false,
            "buildOptimizer": false,
            "sourceMap": true,
            "optimization": false,
            "namedChunks": true
          },
          "configurations": {
            "production": {
              "budgets": [
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "serviceWorker": true,
              "ngswConfigPath": "src/ngsw-config.json",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                },
                {
                  "replace": "src/app/store-devtools.ts",
                  "with": "src/app/store-devtools.prod.ts"
                }
              ]
            },
            "extension": {
              "budgets": [
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ],
              "optimization": {
                "scripts": true,
                "styles": {
                  "minify": true,
                  "inlineCritical": false
                },
                "fonts": false
              },
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "serviceWorker": true,
              "ngswConfigPath": "src/ngsw-config.json",
              "index": {
                "input": "src/index.ext.html",
                "output": "index.html"
              },
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.extension.ts"
                }
              ]
            },
            "dev-extension": {
              "budgets": [
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ],
              "outputHashing": "all",
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "serviceWorker": true,
              "ngswConfigPath": "src/ngsw-config.json",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.extension.ts"
                },
                {
                  "replace": "src/index.html",
                  "with": "src/index.ext.html"
                }
              ]
            }
          },
          "defaultConfiguration": ""
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "passit:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "passit:build:production"
            },
            "docker": {
              "browserTarget": "passit:build:docker"
            },
            "extension": {
              "browserTarget": "passit:build:extension"
            }
          }
        },
        "extract-i18n": {
          "builder": "ng-extract-i18n-merge:ng-extract-i18n-merge",
          "options": {
            "browserTarget": "passit:build",
            "format": "xlf2",
            "outputPath": "src/locale",
            "targetFiles": [
              "../locale/messages.ca.xlf",
              "../locale/messages.es.xlf"
            ]
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "karmaConfig": "./karma.conf.js",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "src/tsconfig.spec.json",
            "scripts": [],
            "styles": ["src/styles.scss"],
            "assets": [
              "src/assets",
              "src/manifest.json",
              "src/favicon.ico",
              {
                "glob": "browser-polyfill.min.js",
                "input": "node_modules/webextension-polyfill/dist",
                "output": "/"
              }
            ]
          }
        }
      }
    },
    "passit-e2e": {
      "root": "e2e/",
      "sourceRoot": "",
      "projectType": "application",
      "architect": {
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "e2e/protractor.conf.js",
            "devServerTarget": "passit:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "passit:serve:production"
            }
          }
        }
      }
    }
  },
  "schematics": {
    "@schematics/angular:component": {
      "prefix": "app",
      "style": "scss",
      "changeDetection": "OnPush"
    },
    "@schematics/angular:directive": {
      "prefix": "app"
    },
    "@schematics/angular": {
      "component": {
        "spec": false,
        "changeDetection": "OnPush"
      }
    }
  },
  "cli": {
    "analytics": "524ff8bf-9efb-4bf2-b4c1-ba71a7060379"
  }
}
